Bug 835753 - bkr system-provision refers to --distro=INSTALL_NAME but it actually expects a distro tree id
bkr system-provision refers to --distro=INSTALL_NAME but it actually expects ...
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 0.9.1
: ---
Assigned To: Dan Callaghan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-26 23:52 EDT by Dan Callaghan
Modified: 2012-07-19 20:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 20:38:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2012-06-26 23:52:23 EDT
In the man page and --help output for bkr system-provision the --distro option refers to install names, but that's no longer true as of 0.9.0.

The option should possibly also be renamed to something better such as --distro-tree-id.
Comment 1 Dan Callaghan 2012-06-28 20:33:17 EDT
On Gerrit: http://gerrit.beaker-project.org/1167
Comment 4 Raymond Mancy 2012-07-18 02:30:33 EDT
[rmancy@rmancy ~]$ bkr system-provision --help
Usage: bkr system-provision [options] <fqdn>

Options:
  -h, --help                  show this help message and exit
  --username=USERNAME         specify user
  --password=PASSWORD         specify password
  --distro-tree=ID            Provision distro tree identified by ID
  --ks-meta=OPTS              Pass OPTS as kickstart metadata
  --kernel-options=OPTS       Pass OPTS as kernel options during installation
  --kernel-options-post=OPTS  Pass OPTS as kernel options after installation
  --kickstart=FILENAME        Read complete kickstart from FILENAME (- for stdin)
  --no-reboot                 Configure installation but don't reboot system
Comment 5 Dan Callaghan 2012-07-19 20:38:40 EDT
Beaker 0.9.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.